ParadropWaypoints = { Paradrop1, Paradrop2, Paradrop3, Paradrop4 }

InitPlayers1 = function()
	player0 = Player.GetPlayer("Multi0")
	player1 = Player.GetPlayer("Multi1")
	player2 = Player.GetPlayer("Multi2")
	player3 = Player.GetPlayer("Multi3")
	player4 = Player.GetPlayer("Multi4")
	player5 = Player.GetPlayer("Multi5")
	player6 = Player.GetPlayer("Multi6")
	player7 = Player.GetPlayer("Multi7")
end

WorldLoaded = function()

	Media.DisplayMessage("\n\n\n", "Capture the island at the center to gain control over the sea\nThe Advanced Radar also provides building space and airstrike", HSLColor.Red)
	Media.StopMusic()

	Trigger.AfterDelay(DateTime.Seconds(5), function()
		Media.PlayMovieInRadar("paratrop.vqa")
	end)


	Trigger.AfterDelay(DateTime.Seconds(20), function()
		Media.PlayMusic("hell226m")
	end)

	InitPlayers1()

	Trigger.AfterDelay(DateTime.Seconds(1), function()
			ParaProxy0 = Actor.Create("powerproxy.paratroopers", false, { Owner = player0 })
			ParaProxy1 = Actor.Create("powerproxy.paratroopers", false, { Owner = player1 })
			ParaProxy2 = Actor.Create("powerproxy.paratroopers", false, { Owner = player2 })
			ParaProxy3 = Actor.Create("powerproxy.paratroopers", false, { Owner = player3 })
			ParaProxy4 = Actor.Create("powerproxy.paratroopers", false, { Owner = player4 })
			ParaProxy5 = Actor.Create("powerproxy.paratroopers", false, { Owner = player5 })
			ParaProxy6 = Actor.Create("powerproxy.paratroopers", false, { Owner = player6 })
			ParaProxy7 = Actor.Create("powerproxy.paratroopers", false, { Owner = player7 })
			units0 = ParaProxy0.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units1 = ParaProxy1.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units2 = ParaProxy2.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units3 = ParaProxy3.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units4 = ParaProxy4.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units5 = ParaProxy5.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units6 = ParaProxy6.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units7 = ParaProxy7.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			ParaProxy0.Destroy()
			ParaProxy1.Destroy()
			ParaProxy2.Destroy()
			ParaProxy3.Destroy()
			ParaProxy4.Destroy()
			ParaProxy5.Destroy()
			ParaProxy6.Destroy()
			ParaProxy7.Destroy()
	end)
	Trigger.AfterDelay(DateTime.Seconds(25), function()
			ParaProxy0 = Actor.Create("powerproxy.paratroopers", false, { Owner = player0 })
			ParaProxy1 = Actor.Create("powerproxy.paratroopers", false, { Owner = player1 })
			ParaProxy2 = Actor.Create("powerproxy.paratroopers", false, { Owner = player2 })
			ParaProxy3 = Actor.Create("powerproxy.paratroopers", false, { Owner = player3 })
			ParaProxy4 = Actor.Create("powerproxy.paratroopers", false, { Owner = player4 })
			ParaProxy5 = Actor.Create("powerproxy.paratroopers", false, { Owner = player5 })
			ParaProxy6 = Actor.Create("powerproxy.paratroopers", false, { Owner = player6 })
			ParaProxy7 = Actor.Create("powerproxy.paratroopers", false, { Owner = player7 })
			units0 = ParaProxy0.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units1 = ParaProxy1.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units2 = ParaProxy2.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units3 = ParaProxy3.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units4 = ParaProxy4.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units5 = ParaProxy5.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units6 = ParaProxy6.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units7 = ParaProxy7.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			ParaProxy0.Destroy()
			ParaProxy1.Destroy()
			ParaProxy2.Destroy()
			ParaProxy3.Destroy()
			ParaProxy4.Destroy()
			ParaProxy5.Destroy()
			ParaProxy6.Destroy()
			ParaProxy7.Destroy()
	end)
	Trigger.AfterDelay(DateTime.Seconds(35), function()
			ParaProxy0 = Actor.Create("powerproxy.paratroopers", false, { Owner = player0 })
			ParaProxy1 = Actor.Create("powerproxy.paratroopers", false, { Owner = player1 })
			ParaProxy2 = Actor.Create("powerproxy.paratroopers", false, { Owner = player2 })
			ParaProxy3 = Actor.Create("powerproxy.paratroopers", false, { Owner = player3 })
			ParaProxy4 = Actor.Create("powerproxy.paratroopers", false, { Owner = player4 })
			ParaProxy5 = Actor.Create("powerproxy.paratroopers", false, { Owner = player5 })
			ParaProxy6 = Actor.Create("powerproxy.paratroopers", false, { Owner = player6 })
			ParaProxy7 = Actor.Create("powerproxy.paratroopers", false, { Owner = player7 })
			units0 = ParaProxy0.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units1 = ParaProxy1.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units2 = ParaProxy2.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units3 = ParaProxy3.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units4 = ParaProxy4.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units5 = ParaProxy5.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units6 = ParaProxy6.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units7 = ParaProxy7.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			ParaProxy0.Destroy()
			ParaProxy1.Destroy()
			ParaProxy2.Destroy()
			ParaProxy3.Destroy()
			ParaProxy4.Destroy()
			ParaProxy5.Destroy()
			ParaProxy6.Destroy()
			ParaProxy7.Destroy()
	end)
	Trigger.AfterDelay(DateTime.Seconds(49), function()
			ParaProxy0 = Actor.Create("powerproxy.paratroopers", false, { Owner = player0 })
			ParaProxy1 = Actor.Create("powerproxy.paratroopers", false, { Owner = player1 })
			ParaProxy2 = Actor.Create("powerproxy.paratroopers", false, { Owner = player2 })
			ParaProxy3 = Actor.Create("powerproxy.paratroopers", false, { Owner = player3 })
			ParaProxy4 = Actor.Create("powerproxy.paratroopers", false, { Owner = player4 })
			ParaProxy5 = Actor.Create("powerproxy.paratroopers", false, { Owner = player5 })
			ParaProxy6 = Actor.Create("powerproxy.paratroopers", false, { Owner = player6 })
			ParaProxy7 = Actor.Create("powerproxy.paratroopers", false, { Owner = player7 })
			units0 = ParaProxy0.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units1 = ParaProxy1.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units2 = ParaProxy2.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units3 = ParaProxy3.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units4 = ParaProxy4.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units5 = ParaProxy5.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units6 = ParaProxy6.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			units7 = ParaProxy7.SendParatroopers(Utils.Random(ParadropWaypoints).CenterPosition)
			ParaProxy0.Destroy()
			ParaProxy1.Destroy()
			ParaProxy2.Destroy()
			ParaProxy3.Destroy()
			ParaProxy4.Destroy()
			ParaProxy5.Destroy()
			ParaProxy6.Destroy()
			ParaProxy7.Destroy()
	end)
end